Appearance
Submit a decision from an approval link ​
http
POST https://api.onehazel.com/onehazel-api/approvals/{token}Section: Workflows
Operation id: postApprovalsByToken
Authentication ​
No authentication.
Parameters ​
| Name | In | Required | Description |
|---|---|---|---|
token | path | yes |
Request body ​
JSON object.
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X POST "https://api.onehazel.com/onehazel-api/approvals/{token}" \
-H "Content-Type: application/json" \
-d '{}'Machine-readable: openapi.yaml, openapi.json.